<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="namespace">
    <name>DNSSD</name>
    <filename>namespaceDNSSD.html</filename>
    <class kind="class">DNSSD::DomainBrowser</class>
    <class kind="class">DNSSD::PublicService</class>
    <class kind="class">DNSSD::Query</class>
    <class kind="class">DNSSD::RemoteService</class>
    <class kind="class">DNSSD::Responder</class>
    <class kind="class">DNSSD::ErrorEvent</class>
    <class kind="class">DNSSD::AddRemoveEvent</class>
    <class kind="class">DNSSD::PublishEvent</class>
    <class kind="class">DNSSD::ResolveEvent</class>
    <class kind="class">DNSSD::ServiceBase</class>
    <class kind="class">DNSSD::ServiceBrowser</class>
    <class kind="class">DNSSD::Configuration</class>
    <member kind="enumeration">
      <name>Operation</name>
      <anchor>a11</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QDataStream &amp;s, const RemoteService &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(QDataStream &amp;s, RemoteService &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>domainIsLocal</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>domainToDNS</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>DNSToDomain</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const char *domain)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(QDataStream &amp;s, const ServiceBase &amp;a)</arglist>
    </member>
    <member kind="function">
      <type>QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>namespaceDNSSD.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(QDataStream &amp;s, ServiceBase &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::DomainBrowser</name>
    <filename>classDNSSD_1_1DomainBrowser.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>domainRemoved</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>domainAdded</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QStringList &amp;domains, bool recursive=false, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DomainBrowser</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>domains</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1DomainBrowser.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublicService</name>
    <filename>classDNSSD_1_1PublicService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="signal">
      <type>void</type>
      <name>published</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PublicService</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;type=QString::null, unsigned int port=0, const QString &amp;domain=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PublicService</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>publish</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPublished</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>publishAsync</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextData</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QMap&lt; QString, QString &gt; &amp;textData)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServiceName</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;serviceName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPort</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(unsigned short port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDomain</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1PublicService.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Query</name>
    <filename>classDNSSD_1_1Query.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Query</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Query</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startQuery</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFinished</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1Query.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::RemoteService</name>
    <filename>classDNSSD_1_1RemoteService.html</filename>
    <base>QObject</base>
    <base>DNSSD::ServiceBase</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; RemoteService &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;name, const QString &amp;type, const QString &amp;domain)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~RemoteService</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resolveAsync</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>resolve</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isResolved</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>n0</anchor>
      <arglist>(QDataStream &amp;s, const RemoteService &amp;a)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classDNSSD_1_1RemoteService.html</anchorfile>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;s, RemoteService &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Responder</name>
    <filename>classDNSSD_1_1Responder.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>process</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Responder</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(DNSServiceRef ref=0, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Responder</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(DNSServiceRef ref)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>DNSServiceRef</type>
      <name>m_ref</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_running</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSocketNotifier *</type>
      <name>m_socket</name>
      <anchorfile>classDNSSD_1_1Responder.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ErrorEvent</name>
    <filename>classDNSSD_1_1ErrorEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>ErrorEvent</name>
      <anchorfile>classDNSSD_1_1ErrorEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::AddRemoveEvent</name>
    <filename>classDNSSD_1_1AddRemoveEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="enumeration">
      <name>Operation</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>AddRemoveEvent</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Operation op, const QString &amp;name, const QString &amp;type, const QString &amp;domain, bool last)</arglist>
    </member>
    <member kind="variable">
      <type>const Operation</type>
      <name>m_op</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_name</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_type</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_domain</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const bool</type>
      <name>m_last</name>
      <anchorfile>classDNSSD_1_1AddRemoveEvent.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::PublishEvent</name>
    <filename>classDNSSD_1_1PublishEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>PublishEvent</name>
      <anchorfile>classDNSSD_1_1PublishEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_name</name>
      <anchorfile>classDNSSD_1_1PublishEvent.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ResolveEvent</name>
    <filename>classDNSSD_1_1ResolveEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>ResolveEvent</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;hostname, unsigned short port, const QMap&lt; QString, QString &gt; &amp;txtdata)</arglist>
    </member>
    <member kind="variable">
      <type>const QString</type>
      <name>m_hostname</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const unsigned short</type>
      <name>m_port</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const QMap&lt; QString, QString &gt;</type>
      <name>m_txtdata</name>
      <anchorfile>classDNSSD_1_1ResolveEvent.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBase</name>
    <filename>classDNSSD_1_1ServiceBase.html</filename>
    <member kind="typedef">
      <type>KSharedPtr&lt; ServiceBase &gt;</type>
      <name>Ptr</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name=QString::null, const QString &amp;type=QString::null, const QString &amp;domain=QString::null, const QString &amp;host=QString::null, unsigned short port=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ServiceBase</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>unsigned short</type>
      <name>port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QMap&lt; QString, QString &gt; &amp;</type>
      <name>textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>encode</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>decode</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(int, void *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_serviceName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_type</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_domain</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_hostName</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>unsigned short</type>
      <name>m_port</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>m_textData</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>n0</anchor>
      <arglist>(QDataStream &amp;s, const ServiceBase &amp;a)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend KDNSSD_EXPORT QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchorfile>classDNSSD_1_1ServiceBase.html</anchorfile>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;s, ServiceBase &amp;a)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::ServiceBrowser</name>
    <filename>classDNSSD_1_1ServiceBrowser.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>State</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>removeDomain</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>addDomain</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;domain)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceAdded</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serviceRemoved</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(DNSSD::RemoteService::Ptr)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>finished</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, DomainBrowser *domains=0, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;type, const QString &amp;domain, bool autoResolve=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ServiceBrowser</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; RemoteService::Ptr &gt; &amp;</type>
      <name>services</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>startBrowse</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const DomainBrowser *</type>
      <name>browsedDomains</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const State</type>
      <name>isAvailable</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const QString</type>
      <name>AllServices</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDNSSD_1_1ServiceBrowser.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int, void *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DNSSD::Configuration</name>
    <filename>classDNSSD_1_1Configuration.html</filename>
    <member kind="function">
      <type></type>
      <name>~Configuration</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Configuration *</type>
      <name>self</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setDomainList</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QStringList &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>domainList</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setBrowseLocal</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>browseLocal</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setRecursive</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>recursive</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setPublishType</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e7</anchor>
      <arglist>(int v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>publishType</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setPublishDomain</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e9</anchor>
      <arglist>(const QString &amp;v)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>publishDomain</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>writeConfig</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>e11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Configuration</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QStringList</type>
      <name>mDomainList</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mBrowseLocal</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mRecursive</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>int</type>
      <name>mPublishType</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>mPublishDomain</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected" static="yes">
      <type>static Configuration *</type>
      <name>mSelf</name>
      <anchorfile>classDNSSD_1_1Configuration.html</anchorfile>
      <anchor>t0</anchor>
      <arglist></arglist>
    </member>
    <class kind="class">DNSSD::Configuration::EnumPublishType</class>
  </compound>
  <compound kind="class">
    <name>DNSSD::Configuration::EnumPublishType</name>
    <filename>classDNSSD_1_1Configuration_1_1EnumPublishType.html</filename>
    <member kind="enumeration">
      <name>type</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
  </compound>
</tagfile>
