<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>Framework for KDE graphical components</title>
    <filename>index</filename>
  </compound>
  <compound kind="namespace">
    <name>KParts</name>
    <filename>namespaceKParts.html</filename>
    <class kind="struct">KParts::URLArgs</class>
    <class kind="struct">KParts::WindowArgs</class>
    <class kind="class">KParts::OpenURLEvent</class>
    <class kind="class">KParts::BrowserExtension</class>
    <class kind="class">KParts::BrowserHostExtension</class>
    <class kind="class">KParts::LiveConnectExtension</class>
    <class kind="class">KParts::BrowserInterface</class>
    <class kind="class">KParts::BrowserRun</class>
    <class kind="class">KParts::DockMainWindow</class>
    <class kind="class">KParts::Event</class>
    <class kind="class">KParts::GUIActivateEvent</class>
    <class kind="class">KParts::PartActivateEvent</class>
    <class kind="class">KParts::PartSelectEvent</class>
    <class kind="class">KParts::Factory</class>
    <class kind="class">KParts::GenericFactoryBase</class>
    <class kind="class">KParts::GenericFactory</class>
    <class kind="class">KParts::GenericFactory&lt; KTypeList&lt; T1, T2 &gt; &gt;</class>
    <class kind="class">KParts::HistoryProvider</class>
    <class kind="class">KParts::MainWindow</class>
    <class kind="class">KParts::PartBase</class>
    <class kind="class">KParts::Part</class>
    <class kind="class">KParts::ReadOnlyPart</class>
    <class kind="class">KParts::ReadWritePart</class>
    <class kind="class">KParts::PartManager</class>
    <class kind="class">KParts::Plugin</class>
    <class kind="class">KParts::StatusBarExtension</class>
    <namespace>KParts::ComponentFactory</namespace>
  </compound>
  <compound kind="struct">
    <name>KParts::URLArgs</name>
    <filename>structKParts_1_1URLArgs.html</filename>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>URLArgs &amp;</type>
      <name>operator=</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool reload, int xOffset, int yOffset, const QString &amp;serviceType=QString::null)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~URLArgs</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setContentType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;contentType)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>contentType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDoPost</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>doPost</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLockHistory</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(bool lock)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lockHistory</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNewTab</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(bool newTab)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>newTab</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QMap&lt; QString, QString &gt; &amp;</type>
      <name>metaData</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>redirectedRequest</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRedirectedRequest</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(bool redirected)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setForcesNewWindow</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(bool forcesNewWindow)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>forcesNewWindow</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QStringList</type>
      <name>docState</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>reload</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>xOffset</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>yOffset</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>serviceType</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>postData</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>frameName</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>trustedSource</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>URLArgsPrivate *</type>
      <name>d</name>
      <anchorfile>structKParts_1_1URLArgs.html</anchorfile>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KParts::WindowArgs</name>
    <filename>structKParts_1_1WindowArgs.html</filename>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const WindowArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>WindowArgs &amp;</type>
      <name>operator=</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const WindowArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QRect &amp;_geometry, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>WindowArgs</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(int _x, int _y, int _width, int _height, bool _fullscreen, bool _menuBarVisible, bool _toolBarsVisible, bool _statusBarVisible, bool _resizable)</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>x</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>y</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>width</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>height</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>fullscreen</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>menuBarVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>toolBarsVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>statusBarVisible</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>resizable</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>lowerWindow</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>WindowArgsPrivate *</type>
      <name>d</name>
      <anchorfile>structKParts_1_1WindowArgs.html</anchorfile>
      <anchor>o10</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::OpenURLEvent</name>
    <filename>classKParts_1_1OpenURLEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>OpenURLEvent</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(ReadOnlyPart *part, const KURL &amp;url, const URLArgs &amp;args=URLArgs())</arglist>
    </member>
    <member kind="function">
      <type>ReadOnlyPart *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>URLArgs</type>
      <name>args</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1OpenURLEvent.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserExtension</name>
    <filename>classKParts_1_1BrowserExtension.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>uint</type>
      <name>PopupFlags</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QCString, QCString &gt;</type>
      <name>ActionSlotMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QMap&lt; QCString, int &gt;</type>
      <name>ActionNumberMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoDeletion</name>
      <anchor>w11w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>enableAction</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const char *name, bool enabled)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLRequest</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLRequestDelayed</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>openURLNotify</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setLocationBarURL</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(const QString &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setIconURL</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l5</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>createNewWindow</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l6</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args=KParts::URLArgs())</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>createNewWindow</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l7</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, const KParts::WindowArgs &amp;windowArgs, KParts::ReadOnlyPart *&amp;part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>loadingProgress</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l8</anchor>
      <arglist>(int percent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>speedProgress</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l9</anchor>
      <arglist>(int bytesPerSecond)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>infoMessage</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l10</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l11</anchor>
      <arglist>(const QPoint &amp;global, const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l12</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l13</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KFileItemList &amp;items, const KParts::URLArgs &amp;args, KParts::BrowserExtension::PopupFlags i)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l14</anchor>
      <arglist>(const QPoint &amp;global, const KURL &amp;url, const QString &amp;mimeType, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l15</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KURL &amp;url, const QString &amp;mimeType, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>popupMenu</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l16</anchor>
      <arglist>(KXMLGUIClient *client, const QPoint &amp;global, const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::BrowserExtension::PopupFlags i, mode_t mode=(mode_t)-1)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l17</anchor>
      <arglist>(const KFileItemList &amp;items)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l18</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>selectionInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l19</anchor>
      <arglist>(const KURL::List &amp;urls)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseOverInfo</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l20</anchor>
      <arglist>(const KFileItem *item)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>addWebSideBar</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l21</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;name)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>moveTopLevelWidget</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l22</anchor>
      <arglist>(int x, int y)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>resizeTopLevelWidget</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l23</anchor>
      <arglist>(int w, int h)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestFocus</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l24</anchor>
      <arglist>(KParts::ReadOnlyPart *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setPageSecurity</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>l25</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserExtension</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserExtension</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setURLArgs</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const URLArgs &amp;args)</arglist>
    </member>
    <member kind="function">
      <type>URLArgs</type>
      <name>urlArgs</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>xOffset</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>yOffset</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveState</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>restoreState</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isURLDropHandlingEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setURLDropHandlingEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(bool enable)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(BrowserInterface *impl)</arglist>
    </member>
    <member kind="function">
      <type>BrowserInterface *</type>
      <name>browserInterface</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActionEnabled</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const char *name) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pasteRequest</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionSlotMap</type>
      <name>actionSlotMap</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static ActionSlotMap *</type>
      <name>actionSlotMapPtr</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BrowserExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>urlDropHandling</name>
      <anchorfile>classKParts_1_1BrowserExtension.html</anchorfile>
      <anchor>00</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserHostExtension</name>
    <filename>classKParts_1_1BrowserHostExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>BrowserHostExtension</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserHostExtension</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>frameNames</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QPtrList&lt; KParts::ReadOnlyPart &gt;</type>
      <name>frames</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>BrowserHostExtension *</type>
      <name>findFrameParent</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KParts::ReadOnlyPart *callingPart, const QString &amp;frame)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURLInFrame</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;urlArgs)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static BrowserHostExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1BrowserHostExtension.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <class kind="struct">KParts::BrowserHostExtension::FindFrameParentParams</class>
  </compound>
  <compound kind="struct">
    <name>KParts::BrowserHostExtension::FindFrameParentParams</name>
    <filename>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</filename>
    <member kind="variable">
      <type>BrowserHostExtension *</type>
      <name>parent</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KParts::ReadOnlyPart *</type>
      <name>callingPart</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>frame</name>
      <anchorfile>structKParts_1_1BrowserHostExtension_1_1FindFrameParentParams.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::LiveConnectExtension</name>
    <filename>classKParts_1_1LiveConnectExtension.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QValueList&lt; QPair&lt; Type, QString &gt; &gt;</type>
      <name>ArgList</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Type</name>
      <anchor>w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal" virtualness="virtual">
      <type>virtual void</type>
      <name>partEvent</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const unsigned long objid, const QString &amp;event, const ArgList &amp;args)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>LiveConnectExtension</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~LiveConnectExtension</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>get</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const unsigned long objid, const QString &amp;field, Type &amp;type, unsigned long &amp;retobjid, QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>put</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const unsigned long objid, const QString &amp;field, const QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>call</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const unsigned long objid, const QString &amp;func, const QStringList &amp;args, Type &amp;type, unsigned long &amp;retobjid, QString &amp;value)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unregister</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const unsigned long objid)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static LiveConnectExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1LiveConnectExtension.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserInterface</name>
    <filename>classKParts_1_1BrowserInterface.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>BrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~BrowserInterface</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>callMethod</name>
      <anchorfile>classKParts_1_1BrowserInterface.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const char *name, const QVariant &amp;argument)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::BrowserRun</name>
    <filename>classKParts_1_1BrowserRun.html</filename>
    <base>KRun</base>
    <member kind="enumeration">
      <name>AskSaveResult</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::ReadOnlyPart *part, QWidget *window, bool removeReferrer, bool trustedSource)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BrowserRun</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const KURL &amp;url, const KParts::URLArgs &amp;args, KParts::ReadOnlyPart *part, QWidget *window, bool removeReferrer, bool trustedSource, bool hideErrorDialog)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hideErrorDialog</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>suggestedFilename</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AskSaveResult</type>
      <name>askSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const KURL &amp;url, KService::Ptr offer, const QString &amp;mimeType, const QString &amp;suggestedFilename=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static AskSaveResult</type>
      <name>askEmbedOrSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimeType, const QString &amp;suggestedFilename=QString::null, int flags=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>simpleSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename, QWidget *window)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>simpleSave</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;suggestedFilename)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>allowExecution</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(const QString &amp;serviceType, const KURL &amp;url)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isExecutable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isTextExecutable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>(const QString &amp;serviceType)</arglist>
    </member>
    <member kind="enumeration">
      <name>NonEmbeddableResult</name>
      <anchor>x3</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBrowserScanFinished</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotBrowserMimetype</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(KIO::Job *job, const QString &amp;type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCopyToTempFileResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotStatResult</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>scanFile</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>init</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>handleError</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>NonEmbeddableResult</type>
      <name>handleNonEmbeddable</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(const QString &amp;mimeType)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KParts::URLArgs</type>
      <name>m_args</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KParts::ReadOnlyPart *</type>
      <name>m_part</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGuardedPtr&lt; QWidget &gt;</type>
      <name>m_window</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_suggestedFilename</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_sMimeType</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>p4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bRemoveReferrer</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>p5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bTrustedSource</name>
      <anchorfile>classKParts_1_1BrowserRun.html</anchorfile>
      <anchor>p6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::DockMainWindow</name>
    <filename>classKParts_1_1DockMainWindow.html</filename>
    <base>KDockMainWindow</base>
    <base virtualness="virtual">KParts::PartBase</base>
    <member kind="function">
      <type></type>
      <name>DockMainWindow</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0L, const char *name=0L, WFlags f=WDestructiveClose)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DockMainWindow</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>createGUI</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSetStatusBarText</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createShellGUI</name>
      <anchorfile>classKParts_1_1DockMainWindow.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Event</name>
    <filename>classKParts_1_1Event.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>Event</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const char *eventName)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const char *</type>
      <name>eventName</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1Event.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QEvent *event, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GUIActivateEvent</name>
    <filename>classKParts_1_1GUIActivateEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>GUIActivateEvent</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(bool activated)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>activated</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1GUIActivateEvent.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartActivateEvent</name>
    <filename>classKParts_1_1PartActivateEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>PartActivateEvent</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(bool activated, Part *part, QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>activated</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1PartActivateEvent.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartSelectEvent</name>
    <filename>classKParts_1_1PartSelectEvent.html</filename>
    <base>KParts::Event</base>
    <member kind="function">
      <type></type>
      <name>PartSelectEvent</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(bool selected, Part *part, QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>selected</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>part</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>test</name>
      <anchorfile>classKParts_1_1PartSelectEvent.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Factory</name>
    <filename>classKParts_1_1Factory.html</filename>
    <base>KLibFactory</base>
    <member kind="function">
      <type></type>
      <name>Factory</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Factory</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Part *</type>
      <name>createPart</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const char *classname=&quot;KParts::Part&quot;, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type>const KInstance *</type>
      <name>partInstance</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const KInstance *</type>
      <name>partInstanceFromLibrary</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QCString &amp;libraryName)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const char *classname=&quot;KParts::Part&quot;, const QStringList &amp;args=QStringList())=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QObject *</type>
      <name>createObject</name>
      <anchorfile>classKParts_1_1Factory.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QObject *parent=0, const char *name=0, const char *classname=&quot;QObject&quot;, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <class kind="struct">KParts::Factory::QueryInstanceParams</class>
  </compound>
  <compound kind="struct">
    <name>KParts::Factory::QueryInstanceParams</name>
    <filename>structKParts_1_1Factory_1_1QueryInstanceParams.html</filename>
    <member kind="variable">
      <type>const KInstance *</type>
      <name>instance</name>
      <anchorfile>structKParts_1_1Factory_1_1QueryInstanceParams.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactoryBase</name>
    <filename>classKParts_1_1GenericFactoryBase.html</filename>
    <templarg>T</templarg>
    <base>KParts::Factory</base>
    <member kind="function">
      <type></type>
      <name>GenericFactoryBase</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~GenericFactoryBase</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KInstance *</type>
      <name>instance</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual KInstance *</type>
      <name>createInstance</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1GenericFactoryBase.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactory</name>
    <filename>classKParts_1_1GenericFactory.html</filename>
    <templarg>T</templarg>
    <base>KParts::GenericFactoryBase</base>
    <member kind="function">
      <type></type>
      <name>GenericFactory</name>
      <anchorfile>classKParts_1_1GenericFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1GenericFactory.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *className, const QStringList &amp;args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::GenericFactory&lt; KTypeList&lt; T1, T2 &gt; &gt;</name>
    <filename>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</filename>
    <templarg>T1</templarg>
    <templarg>T2</templarg>
    <base>KParts::GenericFactoryBase&lt; T1 &gt;</base>
    <member kind="function">
      <type></type>
      <name>GenericFactory</name>
      <anchorfile>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KParts::Part *</type>
      <name>createPartObject</name>
      <anchorfile>classKParts_1_1GenericFactory_3_01KTypeList_3_01T1_00_01T2_01_4_01_4.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parentWidget, const char *widgetName, QObject *parent, const char *name, const char *className, const QStringList &amp;args)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::HistoryProvider</name>
    <filename>classKParts_1_1HistoryProvider.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>cleared</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>updated</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QStringList &amp;items)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>HistoryProvider</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0L, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~HistoryProvider</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>contains</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;item) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>insert</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>remove</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>clear</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static HistoryProvider *</type>
      <name>self</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1HistoryProvider.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::MainWindow</name>
    <filename>classKParts_1_1MainWindow.html</filename>
    <base>KMainWindow</base>
    <base virtualness="virtual">KParts::PartBase</base>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const char *name=0L, WFlags f=WDestructiveClose)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(int cflags, QWidget *parent, const char *name=0L, WFlags f=WType_TopLevel|WDestructiveClose)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~MainWindow</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>createGUI</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotSetStatusBarText</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>saveNewToolbarConfig</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>createShellGUI</name>
      <anchorfile>classKParts_1_1MainWindow.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(bool create=true)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartBase</name>
    <filename>classKParts_1_1PartBase.html</filename>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartBase</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPartObject</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QObject *object)</arglist>
    </member>
    <member kind="function">
      <type>QObject *</type>
      <name>partObject</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="enumeration">
      <name>PluginLoadingMode</name>
      <anchor>x3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>DoNotLoadPlugins</name>
      <anchor>x3x0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LoadPlugins</name>
      <anchor>x3x1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>LoadPluginsIfEnabled</name>
      <anchor>x3x2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(KInstance *instance, bool loadPlugins)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setPluginLoadingMode</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(PluginLoadingMode loadingMode)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PartBasePrivate</name>
      <anchorfile>classKParts_1_1PartBase.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Part</name>
    <filename>classKParts_1_1Part.html</filename>
    <base>QObject</base>
    <base>KParts::PartBase</base>
    <member kind="signal">
      <type>void</type>
      <name>setWindowCaption</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;caption)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>setStatusBarText</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Part</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>embed</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>widget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setManager</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(PartManager *manager)</arglist>
    </member>
    <member kind="function">
      <type>PartManager *</type>
      <name>manager</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>hitTest</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(QWidget *widget, const QPoint &amp;globalPos)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelectable</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(bool selectable)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSelectable</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setWidget</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>customEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QCustomEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partActivateEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(PartActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>partSelectEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(PartSelectEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(GUIActivateEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>hostContainer</name>
      <anchorfile>classKParts_1_1Part.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(const QString &amp;containerName)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::ReadOnlyPart</name>
    <filename>classKParts_1_1ReadOnlyPart.html</filename>
    <base>KParts::Part</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>started</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>completed</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>completed</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(bool pendingAction)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>canceled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(const QString &amp;errMsg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ReadOnlyPart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProgressInfoEnabled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isProgressInfoEnabled</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showProgressInfo</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>url</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;mimeType, const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>writeStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeStream</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotJobFinished</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>openFile</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>abortLoad</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>guiActivateEvent</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(GUIActivateEvent *event)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KURL</type>
      <name>m_url</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_file</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_bTemp</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadOnlyPart.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::ReadWritePart</name>
    <filename>classKParts_1_1ReadWritePart.html</filename>
    <base>KParts::ReadOnlyPart</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>bool</type>
      <name>waitSaveComplete</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>sigQueryClose</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool *handled, bool *abortClosing)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~ReadWritePart</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isReadWrite</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setReadWrite</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool readwrite=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>queryClose</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>closeURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(bool promptToSave)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveAs</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setModified</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(bool modified)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadFinished</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>saveFile</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>saveToURL</name>
      <anchorfile>classKParts_1_1ReadWritePart.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::PartManager</name>
    <filename>classKParts_1_1PartManager.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>SelectionPolicy</name>
      <anchor>w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Reason</name>
      <anchor>w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partAdded</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>partRemoved</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(KParts::Part *part)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>activePartChanged</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(KParts::Part *newPart)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *topLevel, QObject *parent, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~PartManager</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSelectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(SelectionPolicy policy)</arglist>
    </member>
    <member kind="function">
      <type>SelectionPolicy</type>
      <name>selectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool allow)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIgnoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(bool ignore)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ignoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActivationButtonMask</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(short int buttonMask)</arglist>
    </member>
    <member kind="function">
      <type>short int</type>
      <name>activationButtonMask</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(QObject *obj, QEvent *ev)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>addPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(Part *part, bool setActive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>removePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(Part *part)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replacePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(Part *oldPart, Part *newPart, bool setActive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setActivePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(Part *part, QWidget *widget=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>activePart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>activeWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setSelectedPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(Part *part, QWidget *widget=0L)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Part *</type>
      <name>selectedPart</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QWidget *</type>
      <name>selectedWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QPtrList&lt; Part &gt; *</type>
      <name>parts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addManagedTopLevelWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const QWidget *topLevel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeManagedTopLevelWidget</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const QWidget *topLevel)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reason</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotObjectDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotWidgetDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotManagedTopLevelWidgetDestroyed</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setActiveInstance</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="property">
      <type>SelectionPolicy</type>
      <name>selectionPolicy</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>00</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>allowNestedParts</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>01</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>ignoreScrollBars</name>
      <anchorfile>classKParts_1_1PartManager.html</anchorfile>
      <anchor>02</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::Plugin</name>
    <filename>classKParts_1_1Plugin.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="function">
      <type></type>
      <name>Plugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Plugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>xmlFile</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>localXMLFile</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QObject *parent, const KInstance *instance)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(QObject *parent, const QValueList&lt; PluginInfo &gt; &amp;pluginInfos)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(QObject *parent, const QValueList&lt; PluginInfo &gt; &amp;pluginInfos, const KInstance *instance)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>loadPlugins</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(QObject *parent, KXMLGUIClient *parentGUIClient, KInstance *instance, bool enableNewPluginsByDefault=true)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QPtrList&lt; Plugin &gt;</type>
      <name>pluginObjects</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setInstance</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QValueList&lt; Plugin::PluginInfo &gt;</type>
      <name>pluginInfos</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>f0</anchor>
      <arglist>(const KInstance *instance)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static Plugin *</type>
      <name>loadPlugin</name>
      <anchorfile>classKParts_1_1Plugin.html</anchorfile>
      <anchor>f1</anchor>
      <arglist>(QObject *parent, const char *libname)</arglist>
    </member>
    <class kind="struct">KParts::Plugin::PluginInfo</class>
  </compound>
  <compound kind="struct">
    <name>KParts::Plugin::PluginInfo</name>
    <filename>structKParts_1_1Plugin_1_1PluginInfo.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>m_relXMLFileName</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>m_absXMLFileName</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QDomDocument</type>
      <name>m_document</name>
      <anchorfile>structKParts_1_1Plugin_1_1PluginInfo.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KParts::StatusBarExtension</name>
    <filename>classKParts_1_1StatusBarExtension.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>StatusBarExtension</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KParts::ReadOnlyPart *parent, const char *name=0L)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~StatusBarExtension</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addStatusBarItem</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QWidget *widget, int stretch, bool permanent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeStatusBarItem</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QWidget *widget)</arglist>
    </member>
    <member kind="function">
      <type>KStatusBar *</type>
      <name>statusBar</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStatusBar</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KStatusBar *status)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>eventFilter</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(QObject *watched, QEvent *ev)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static StatusBarExtension *</type>
      <name>childObject</name>
      <anchorfile>classKParts_1_1StatusBarExtension.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KParts::ComponentFactory</name>
    <filename>namespaceKParts_1_1ComponentFactory.html</filename>
    <member kind="enumeration">
      <name>ComponentLoadingError</name>
      <anchor>a15</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromFactory</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(KLibFactory *factory, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromFactory</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(KParts::Factory *factory, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromLibrary</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const char *libraryName, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromLibrary</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const char *libraryName, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromService</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const KService::Ptr &amp;service, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromService</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const KService::Ptr &amp;service, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromServices</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(ServiceIterator begin, ServiceIterator end, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromServices</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(ServiceIterator begin, ServiceIterator end, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createInstanceFromQuery</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;serviceType, const QString &amp;constraint=QString::null, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static T *</type>
      <name>createPartInstanceFromQuery</name>
      <anchorfile>namespaceKParts_1_1ComponentFactory.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;serviceType, const QString &amp;constraint, QWidget *parentWidget=0, const char *widgetName=0, QObject *parent=0, const char *name=0, const QStringList &amp;args=QStringList(), int *error=0)</arglist>
    </member>
  </compound>
</tagfile>
