<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KArtsDispatcher</name>
    <filename>classKArtsDispatcher.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsFloatWatch</name>
    <filename>classKArtsFloatWatch.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(float newValue)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Arts::Object object, const char *stream, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>Arts::KFloatWatchProxy_impl</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsServer</name>
    <filename>classKArtsServer.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>restartedServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Arts::SoundServerV2</type>
      <name>server</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioConverter</name>
    <filename>classKAudioConverter.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>rawStreamStart</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockSize</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockPointer</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newData</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rawStreamFinished</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioConverter</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioConverter</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setup</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(int samplingRate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestPlayObject</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioManagerPlay</name>
    <filename>classKAudioManagerPlay.html</filename>
    <member kind="function">
      <type></type>
      <name>KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::Synth_AMAN_PLAY</type>
      <name>amanPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;autoRestoreID)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>autoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioPlayStream</name>
    <filename>classKAudioPlayStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>write</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(QByteArray &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>noData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KArtsServer *server, const QString title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(Arts::DataPacket&lt; Arts::mcopbyte &gt; *packet)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioRecordStream</name>
    <filename>classKAudioRecordStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>flush</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>data</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>read</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(char *, int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBlockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>blockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>usePolling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KConvertTest</name>
    <filename>classKConvertTest.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotRawStreamStart</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewBlockSize</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewBlockPointer</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewData</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRawStreamFinished</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KConvertTest</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMCOP</name>
    <filename>classKMCOP.html</filename>
    <base>QObject</base>
    <member kind="dcop">
      <type>int</type>
      <name>objectCount</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>addInterfacesHackHackHack</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMCOP</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMCOP</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotify</name>
    <filename>classKNotify.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QPtrList&lt; Event &gt;</type>
      <name>EventList</name>
      <anchorfile>namespaceKNotify.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; Application &gt;</type>
      <name>ApplicationListIterator</name>
      <anchorfile>namespaceKNotify.html</anchorfile>
      <anchor>a1</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>QPtrListIterator&lt; Event &gt;</type>
      <name>EventListIterator</name>
      <anchorfile>namespaceKNotify.html</anchorfile>
      <anchor>a2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PlayingFinishedStatus</name>
      <anchor>w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level, int winId)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level, int winId, int eventId)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>reconfigure</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setVolume</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(int volume)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>sessionReady</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(bool useArts)</arglist>
    </member>
    <class kind="class">KNotify::Application</class>
    <class kind="class">KNotify::ApplicationList</class>
    <class kind="class">KNotify::Event</class>
    <class kind="class">KNotify::KNotifyWidget</class>
    <class kind="class">KNotify::ListViewItem</class>
  </compound>
  <compound kind="class">
    <name>KPlayObject</name>
    <filename>classKPlayObject.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(Arts::PlayObject playobject, bool isStream)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Arts::PlayObject playObject)</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPlayObjectFactory</name>
    <filename>classKPlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KPlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAStream</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KVideoWidget</name>
    <filename>classKVideoWidget.html</filename>
    <base>QWidget</base>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="slot">
      <type>void</type>
      <name>setFullscreen</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setWindowed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setHalfSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setNormalSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDoubleSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resizeNotify</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>adaptSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseButtonPressed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(int type, const QPoint &amp;, int state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseButtonDoubleClick</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const QPoint &amp;, int state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rightButtonPressed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KXMLGUIClient *clientParent, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>embed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(Arts::VideoPlayObject vpo)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmbedded</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFullscreen</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHalfSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNormalSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDoubleSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>heightForWidth</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(int w) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QImage</type>
      <name>snapshot</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(Arts::VideoPlayObject vpo)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>fullscreenActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>halfSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>normalSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doubleSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseDoubleClickEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(QResizeEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>x11Event</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(XEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPDCOPObject</name>
    <filename>classMCOPDCOPObject.html</filename>
    <member kind="function">
      <type></type>
      <name>MCOPDCOPObject</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QCString name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MCOPDCOPObject</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>processDynamic</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functionsDynamic</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addDynamicFunction</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(QCString value, MCOPEntryInfo *entry)</arglist>
    </member>
    <member kind="function">
      <type>Arts::Buffer *</type>
      <name>callFunction</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(MCOPEntryInfo *entry, QCString ifaceName, const QByteArray &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPDCOPTools</name>
    <filename>classMCOPDCOPTools.html</filename>
    <member kind="function" static="yes">
      <type>static long</type>
      <name>getLong</name>
      <anchorfile>classMCOPDCOPTools.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>getString</name>
      <anchorfile>classMCOPDCOPTools.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPEntryInfo</name>
    <filename>classMCOPEntryInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>MCOPEntryInfo</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MCOPEntryInfo</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>functionType</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>functionName</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signature</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>signatureList</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunctionType</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunctionName</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignature</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureList</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(QCStringList s)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>kde/</name>
    <path>/home/qateam/build/20060/661Zne/BUILD/kdelibs-3.4.2/arts/kde/</path>
    <filename>dir_000000.html</filename>
    <dir>kde/mcop-dcop/</dir>
    <file>artskde.cc</file>
    <file>artskde.h</file>
    <file>kartsdispatcher.cc</file>
    <file>kartsdispatcher.h</file>
    <file>kartsfloatwatch.cpp</file>
    <file>kartsfloatwatch.h</file>
    <file>kartsserver.cpp</file>
    <file>kartsserver.h</file>
    <file>kaudioconverter.cc</file>
    <file>kaudioconverter.h</file>
    <file>kaudiomanagerplay.cpp</file>
    <file>kaudiomanagerplay.h</file>
    <file>kaudioplaystream.cpp</file>
    <file>kaudioplaystream.h</file>
    <file>kaudiorecordstream.cpp</file>
    <file>kaudiorecordstream.h</file>
    <file>kconverttest.cc</file>
    <file>kconverttest.h</file>
    <file>kdatarequest_impl.cpp</file>
    <file>kdatarequest_impl.h</file>
    <file>kioinputstream_impl.cpp</file>
    <file>kioinputstream_impl.h</file>
    <file>kiotest.cc</file>
    <file>kiotestslow.cc</file>
    <file>kplayobject.cc</file>
    <file>kplayobject.h</file>
    <file>kplayobjectcreator.cc</file>
    <file>kplayobjectcreator.h</file>
    <file>kplayobjectfactory.cc</file>
    <file>kplayobjectfactory.h</file>
    <file>kvideowidget.cpp</file>
    <file>kvideowidget.h</file>
    <file>libartskde_la.all_cc.cc</file>
  </compound>
  <compound kind="dir">
    <name>knotify/</name>
    <path>/home/qateam/build/20060/661Zne/BUILD/kdelibs-3.4.2/arts/knotify/</path>
    <filename>dir_000003.html</filename>
    <file>knotify.cpp</file>
    <file>knotify.h</file>
    <file>knotify_skel.cpp</file>
    <file>knotifytest.cpp</file>
  </compound>
  <compound kind="dir">
    <name>kde/mcop-dcop/</name>
    <path>/home/qateam/build/20060/661Zne/BUILD/kdelibs-3.4.2/arts/kde/mcop-dcop/</path>
    <filename>dir_000002.html</filename>
    <file>kmcop.cpp</file>
    <file>kmcop.h</file>
    <file>mcopdcopobject.cpp</file>
    <file>mcopdcopobject.h</file>
    <file>mcopdcoptools.h</file>
  </compound>
  <compound kind="dir">
    <name>message/</name>
    <path>/home/qateam/build/20060/661Zne/BUILD/kdelibs-3.4.2/arts/message/</path>
    <filename>dir_000001.html</filename>
    <file>artsmessage.cc</file>
  </compound>
  <compound kind="namespace">
    <name>Arts</name>
    <filename>namespaceArts.html</filename>
    <class kind="class">Arts::KFloatWatchProxy_base</class>
    <class kind="class">Arts::KFloatWatchProxy_stub</class>
    <class kind="class">Arts::KFloatWatchProxy_skel</class>
    <class kind="class">Arts::KFloatWatchProxy</class>
    <class kind="class">Arts::KIOInputStream_base</class>
    <class kind="class">Arts::KIOInputStream_stub</class>
    <class kind="class">Arts::KIOInputStream_skel</class>
    <class kind="class">Arts::KIOInputStream</class>
    <class kind="class">Arts::KDataRequest_base</class>
    <class kind="class">Arts::KDataRequest_stub</class>
    <class kind="class">Arts::KDataRequest_skel</class>
    <class kind="class">Arts::KDataRequest</class>
    <class kind="class">Arts::KIOTestSlow_base</class>
    <class kind="class">Arts::KIOTestSlow_stub</class>
    <class kind="class">Arts::KIOTestSlow_skel</class>
    <class kind="class">Arts::KIOTestSlow</class>
    <class kind="class">Arts::KDataRequest_impl</class>
    <class kind="class">Arts::KIOInputStream_impl</class>
    <member kind="function">
      <type></type>
      <name>REGISTER_IMPLEMENTATION</name>
      <anchorfile>namespaceArts.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KIOTestSlow_impl)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KFloatWatchProxy_base</name>
    <filename>classArts_1_1KFloatWatchProxy__base.html</filename>
    <member kind="function">
      <type>KFloatWatchProxy_base *</type>
      <name>_copy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsIn</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsOut</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>_cast</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(unsigned long iid)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual float</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(float newValue)=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy_base *</type>
      <name>_create</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const std::string &amp;subClass=&quot;Arts::KFloatWatchProxy&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy_base *</type>
      <name>_fromString</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const std::string &amp;objectref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy_base *</type>
      <name>_fromReference</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(Arts::ObjectReference ref, bool needcopy)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy_base *</type>
      <name>_fromDynamicCast</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const Arts::Object &amp;object)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned long</type>
      <name>_IID</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KFloatWatchProxy_stub</name>
    <filename>classArts_1_1KFloatWatchProxy__stub.html</filename>
    <base virtualness="virtual">Arts::KFloatWatchProxy_base</base>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy_stub</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__stub.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Arts::Connection *connection, long objectID)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__stub.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__stub.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(float newValue)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KFloatWatchProxy_stub</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__stub.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KFloatWatchProxy_skel</name>
    <filename>classArts_1_1KFloatWatchProxy__skel.html</filename>
    <base virtualness="virtual">Arts::KFloatWatchProxy_base</base>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy_skel</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>_interfaceName</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>_isCompatibleWith</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;interfacename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_buildMethodTable</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dispatch</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Arts::Buffer *request, Arts::Buffer *result, long methodID)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>_interfaceNameSkel</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>value_changed</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(float newValue)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KFloatWatchProxy</name>
    <filename>classArts_1_1KFloatWatchProxy.html</filename>
    <member kind="typedef">
      <type>KFloatWatchProxy_base</type>
      <name>_base_class</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Arts::SubClass &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Arts::Reference &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const Arts::DynamicCast &amp;c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KFloatWatchProxy &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Arts::Object::Pool &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>KFloatWatchProxy &amp;</type>
      <name>operator=</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KFloatWatchProxy &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>KFloatWatchProxy_base *</type>
      <name>_base</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(float _newValue)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy</type>
      <name>null</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy</type>
      <name>_from_base</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(KFloatWatchProxy_base *b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KFloatWatchProxy_base *b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_base</name>
    <filename>classArts_1_1KIOInputStream__base.html</filename>
    <member kind="function">
      <type>KIOInputStream_base *</type>
      <name>_copy</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsIn</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsOut</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>_cast</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(unsigned long iid)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(long newValue)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const std::string &amp;url)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream_base *</type>
      <name>_create</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const std::string &amp;subClass=&quot;Arts::KIOInputStream&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream_base *</type>
      <name>_fromString</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const std::string &amp;objectref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream_base *</type>
      <name>_fromReference</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(Arts::ObjectReference ref, bool needcopy)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream_base *</type>
      <name>_fromDynamicCast</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const Arts::Object &amp;object)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned long</type>
      <name>_IID</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_stub</name>
    <filename>classArts_1_1KIOInputStream__stub.html</filename>
    <base virtualness="virtual">Arts::KIOInputStream_base</base>
    <member kind="function">
      <type></type>
      <name>KIOInputStream_stub</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Arts::Connection *connection, long objectID)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(long newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const std::string &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KIOInputStream_stub</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_skel</name>
    <filename>classArts_1_1KIOInputStream__skel.html</filename>
    <base virtualness="virtual">Arts::KIOInputStream_base</base>
    <member kind="function">
      <type></type>
      <name>KIOInputStream_skel</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>_interfaceName</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>_isCompatibleWith</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;interfacename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_buildMethodTable</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dispatch</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Arts::Buffer *request, Arts::Buffer *result, long methodID)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>_interfaceNameSkel</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>bufferPackets_changed</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(long newValue)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream</name>
    <filename>classArts_1_1KIOInputStream.html</filename>
    <member kind="typedef">
      <type>KIOInputStream_base</type>
      <name>_base_class</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Arts::SubClass &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Arts::Reference &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const Arts::DynamicCast &amp;c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KIOInputStream &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Arts::Object::Pool &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>KIOInputStream &amp;</type>
      <name>operator=</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KIOInputStream &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator Arts::InputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator Arts::SynthModule</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KIOInputStream_base *</type>
      <name>_base</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eof</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>size</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>seekOk</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>seek</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(long position)</arglist>
    </member>
    <member kind="function">
      <type>Arts::AutoSuspendState</type>
      <name>autoSuspend</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(long _newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const std::string &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream</type>
      <name>null</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream</type>
      <name>_from_base</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(KIOInputStream_base *b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KIOInputStream_base *b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_base</name>
    <filename>classArts_1_1KDataRequest__base.html</filename>
    <member kind="function">
      <type>KDataRequest_base *</type>
      <name>_copy</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsIn</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsOut</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>_cast</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(unsigned long iid)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest_base *</type>
      <name>_create</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const std::string &amp;subClass=&quot;Arts::KDataRequest&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest_base *</type>
      <name>_fromString</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const std::string &amp;objectref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest_base *</type>
      <name>_fromReference</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(Arts::ObjectReference ref, bool needcopy)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest_base *</type>
      <name>_fromDynamicCast</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const Arts::Object &amp;object)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned long</type>
      <name>_IID</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_stub</name>
    <filename>classArts_1_1KDataRequest__stub.html</filename>
    <base virtualness="virtual">Arts::KDataRequest_base</base>
    <member kind="function">
      <type></type>
      <name>KDataRequest_stub</name>
      <anchorfile>classArts_1_1KDataRequest__stub.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Arts::Connection *connection, long objectID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest__stub.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KDataRequest_stub</name>
      <anchorfile>classArts_1_1KDataRequest__stub.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_skel</name>
    <filename>classArts_1_1KDataRequest__skel.html</filename>
    <base virtualness="virtual">Arts::KDataRequest_base</base>
    <member kind="function">
      <type></type>
      <name>KDataRequest_skel</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>_interfaceName</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>_isCompatibleWith</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;interfacename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_buildMethodTable</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dispatch</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Arts::Buffer *request, Arts::Buffer *result, long methodID)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>_interfaceNameSkel</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float *</type>
      <name>left</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float *</type>
      <name>right</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest</name>
    <filename>classArts_1_1KDataRequest.html</filename>
    <member kind="typedef">
      <type>KDataRequest_base</type>
      <name>_base_class</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Arts::SubClass &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Arts::Reference &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const Arts::DynamicCast &amp;c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KDataRequest &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Arts::Object::Pool &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>KDataRequest &amp;</type>
      <name>operator=</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KDataRequest &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator Arts::SynthModule</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDataRequest_base *</type>
      <name>_base</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::AutoSuspendState</type>
      <name>autoSuspend</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest</type>
      <name>null</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest</type>
      <name>_from_base</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(KDataRequest_base *b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KDataRequest_base *b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOTestSlow_base</name>
    <filename>classArts_1_1KIOTestSlow__base.html</filename>
    <member kind="function">
      <type>KIOTestSlow_base *</type>
      <name>_copy</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsIn</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsOut</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>_cast</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(unsigned long iid)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Arts::InputStream</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Arts::InputStream newValue)=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow_base *</type>
      <name>_create</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const std::string &amp;subClass=&quot;Arts::KIOTestSlow&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow_base *</type>
      <name>_fromString</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const std::string &amp;objectref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow_base *</type>
      <name>_fromReference</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(Arts::ObjectReference ref, bool needcopy)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow_base *</type>
      <name>_fromDynamicCast</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const Arts::Object &amp;object)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned long</type>
      <name>_IID</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOTestSlow_stub</name>
    <filename>classArts_1_1KIOTestSlow__stub.html</filename>
    <base virtualness="virtual">Arts::KIOTestSlow_base</base>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow_stub</name>
      <anchorfile>classArts_1_1KIOTestSlow__stub.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Arts::Connection *connection, long objectID)</arglist>
    </member>
    <member kind="function">
      <type>Arts::InputStream</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow__stub.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow__stub.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Arts::InputStream newValue)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KIOTestSlow_stub</name>
      <anchorfile>classArts_1_1KIOTestSlow__stub.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOTestSlow_skel</name>
    <filename>classArts_1_1KIOTestSlow__skel.html</filename>
    <base virtualness="virtual">Arts::KIOTestSlow_base</base>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow_skel</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>_interfaceName</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>_isCompatibleWith</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const std::string &amp;interfacename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_buildMethodTable</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dispatch</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(Arts::Buffer *request, Arts::Buffer *result, long methodID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const Arts::Notification &amp;notification)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>_interfaceNameSkel</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>process_data</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(Arts::DataPacket&lt; Arts::mcopbyte &gt; *)=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Arts::ByteAsyncStream</type>
      <name>data</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOTestSlow</name>
    <filename>classArts_1_1KIOTestSlow.html</filename>
    <member kind="typedef">
      <type>KIOTestSlow_base</type>
      <name>_base_class</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const Arts::SubClass &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const Arts::Reference &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const Arts::DynamicCast &amp;c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KIOTestSlow &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Arts::Object::Pool &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>KIOTestSlow &amp;</type>
      <name>operator=</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KIOTestSlow &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator Arts::SynthModule</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KIOTestSlow_base *</type>
      <name>_base</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::AutoSuspendState</type>
      <name>autoSuspend</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::InputStream</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(Arts::InputStream _newValue)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow</type>
      <name>null</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow</type>
      <name>_from_base</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(KIOTestSlow_base *b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(KIOTestSlow_base *b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_impl</name>
    <filename>classArts_1_1KDataRequest__impl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">Arts::KDataRequest_skel</base>
    <member kind="signal">
      <type>void</type>
      <name>newData</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockSize</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockPointer</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest_impl</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KDataRequest_impl</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateBlock</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(unsigned long samples)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_impl</name>
    <filename>classArts_1_1KIOInputStream__impl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">Arts::KIOInputStream_skel</base>
    <member kind="signal">
      <type>void</type>
      <name>mimeTypeFound</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;mimetype)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream_impl</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KIOInputStream_impl</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eof</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>seekOk</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>size</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>seek</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(long)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const std::string &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processQueue</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>request_outdata</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(DataPacket&lt; mcopbyte &gt; *packet)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(long i)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObject</name>
    <filename>classKDE_1_1PlayObject.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObject</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>KDE::PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectCreator</name>
    <filename>classKDE_1_1PlayObjectCreator.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Arts::PlayObject playObject)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectCreator</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObjectCreator</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>create</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KURL &amp;url, bool createBUS, const QObject *receiver, const char *slot)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectFactory</name>
    <filename>classKDE_1_1PlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioManagerPlay</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(KAudioManagerPlay *amanplay)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>mimeTypes</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
</tagfile>
