<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>index</name>
    <title>The DCOP Desktop COmmunication Protocol library</title>
    <filename>index</filename>
    <docanchor file="index">protocol</docanchor>
    <docanchor file="index">iuc</docanchor>
    <docanchor file="index">conclusion</docanchor>
    <docanchor file="index">sending_data</docanchor>
    <docanchor file="index">model</docanchor>
    <docanchor file="index">Deadlock</docanchor>
    <docanchor file="index">establish</docanchor>
    <docanchor file="index">receiving_data</docanchor>
    <docanchor file="index">receiving_calls</docanchor>
    <docanchor file="index">dcopidl</docanchor>
    <docanchor file="index">dcop_signals</docanchor>
  </compound>
  <compound kind="class">
    <name>DCOPArg</name>
    <filename>classDCOPArg.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPArg</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const T &amp;t, const char *tname_arg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPArg</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const T &amp;t)</arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const char *</type>
      <name>tname</name>
      <anchorfile>classDCOPArg.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPClient</name>
    <filename>classDCOPClient.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>applicationRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>applicationRemoved</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QCString &amp;appId)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>attachFailed</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>(const QString &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>blockUserInput</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>(bool block)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>callBack</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>(int, const QCString &amp;, const QByteArray &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>attach</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bindToApp</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>detach</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttached</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAttachedToForeignServer</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>acceptCalls</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAcceptCalls</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>qtBridgeEnabled</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setQtBridgeEnabled</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>registerAs</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QCString &amp;appId, bool addPID=true)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>appId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>socket</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>suspend</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resume</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isSuspended</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QString &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData, bool useEventLoop, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>call</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData, bool useEventLoop=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>callAsync</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QObject *callBackObj, const char *callBackSlot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;foundApp, QCString &amp;foundObj, bool useEventLoop, int timeout)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>findObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, const QCString &amp;remFun, const QByteArray &amp;data, QCString &amp;foundApp, QCString &amp;foundObj, bool useEventLoop=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const QCString &amp;object, const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot, bool Volatile) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;signal, const QCString &amp;receiverObj, const QCString &amp;slot) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>DCOPClientTransaction *</type>
      <name>beginTransaction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>endTransaction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(DCOPClientTransaction *t, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>Q_INT32</type>
      <name>transactionId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isApplicationRegistered</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(const QCString &amp;remApp)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>registeredApplications</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteObjects</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>(const QCString &amp;remApp, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteInterfaces</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>remoteFunctions</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(const QCString &amp;remApp, const QCString &amp;remObj, bool *ok=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>receive</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>find</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>senderId</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a42</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a43</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>defaultObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a44</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNotifications</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a45</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDaemonMode</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a46</anchor>
      <arglist>(bool daemonMode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPriorityCall</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a47</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>handleAsyncReply</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>a48</anchor>
      <arglist>(ReplyStruct *replyStruct)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setServerAddress</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QCString &amp;addr)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>normalizeFunctionSignature</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPClient *</type>
      <name>mainClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>setMainClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(DCOPClient *mainClient)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPClient *</type>
      <name>findLocalClient</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(const QCString &amp;_appId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>emergencyClose</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemSender</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemObject</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>postMortemFunction</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>dcopServerFile</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e9</anchor>
      <arglist>(const QCString &amp;hostname=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>dcopServerFileOld</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e10</anchor>
      <arglist>(const QCString &amp;hostname=0) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>iceauthPath</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>e11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>processSocketData</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(int socknum)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPClient.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_attach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dcop_register</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(const char *app_name, Bool add_pid)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_detach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_register_callback</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(const char *object_id, dcop_callback_t callback)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_send_signal</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(const char *receiving_app, const char *object, const char *function, char *data, int data_length)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_call</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(const char *app_name, const char *remote_app_name, const char *remote_object_id, const char *remote_function, const char *data, int data_length, char **reply_type, char **reply_data, int *reply_data_length)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPObject</name>
    <filename>classDCOPObject.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>objId</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setObjId</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>processDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functionsDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>interfacesDynamic</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>interfaces</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functions</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QCString &amp;signal, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectDCOPSignal</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, const QCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>callingDcopClient</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCallingDcopClient</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(DCOPClient *)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>hasObject</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static DCOPObject *</type>
      <name>find</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QCString &amp;objId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QPtrList&lt; DCOPObject &gt;</type>
      <name>match</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const QCString &amp;partialId)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QCString</type>
      <name>objectName</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(QObject *obj)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPObject.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPObjectProxy</name>
    <filename>classDCOPObjectProxy.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(DCOPClient *)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPObjectProxy</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>process</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QCString &amp;obj, const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>DCOPClient</name>
      <anchorfile>classDCOPObjectProxy.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPRef</name>
    <filename>classDCOPRef.html</filename>
    <member kind="enumeration">
      <name>EventLoopFlag</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const DCOPRef &amp;ref)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(DCOPObject *object)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>app</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>obj</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>object</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>type</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>DCOPRef &amp;</type>
      <name>operator=</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const DCOPRef &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj=&quot;&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRef</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj, const QCString &amp;type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDCOPClient</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(DCOPClient *client)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop=NoEventLoop, int timeout=-1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a31</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>call</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a32</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
    <member kind="function">
      <type>DCOPReply</type>
      <name>callExt</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a33</anchor>
      <arglist>(const QCString &amp;fun, EventLoopFlag useEventLoop, int timeout, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a34</anchor>
      <arglist>(const QCString &amp;fun)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a35</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a36</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a37</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a38</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a39</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a40</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a41</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchorfile>classDCOPRef.html</anchorfile>
      <anchor>a42</anchor>
      <arglist>(const QCString &amp;fun, const T1 &amp;t1, const T2 &amp;t2, const T3 &amp;t3, const T4 &amp;t4, const T5 &amp;t5, const T6 &amp;t6, const T7 &amp;t7, const T8 &amp;t8)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPReply</name>
    <filename>classDCOPReply.html</filename>
    <member kind="function">
      <type></type>
      <name>operator T</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(T &amp;t, const char *tname)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>get</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(T &amp;t)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable">
      <type>QByteArray</type>
      <name>data</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>type</name>
      <anchorfile>classDCOPReply.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPSignalConnection</name>
    <filename>classDCOPSignalConnection.html</filename>
    <member kind="variable">
      <type>QCString</type>
      <name>sender</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DCOPConnection *</type>
      <name>senderConn</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>senderObj</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>signal</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>DCOPConnection *</type>
      <name>recvConn</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>recvObj</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>o5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCString</type>
      <name>slot</name>
      <anchorfile>classDCOPSignalConnection.html</anchorfile>
      <anchor>o6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPSignalConnectionList</name>
    <filename>classDCOPSignalConnectionList.html</filename>
    <base>QPtrList&lt; DCOPSignalConnection &gt;</base>
    <member kind="function">
      <type></type>
      <name>DCOPSignalConnectionList</name>
      <anchorfile>classDCOPSignalConnectionList.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPSignals</name>
    <filename>classDCOPSignals.html</filename>
    <member kind="function">
      <type></type>
      <name>DCOPSignals</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSignal</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(DCOPConnection *conn, const QCString &amp;fun, const QByteArray &amp;data, bool excludeSelf)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectSignal</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, DCOPConnection *conn, const QCString &amp;receiverObj, const QCString &amp;slot, bool Volatile)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>disconnectSignal</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QCString &amp;sender, const QCString &amp;senderObj, const QCString &amp;signal, DCOPConnection *conn, const QCString &amp;receiverObj, const QCString &amp;slot)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeConnections</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(DCOPConnection *conn, const QCString &amp;obj=0)</arglist>
    </member>
    <member kind="variable">
      <type>QAsciiDict&lt; DCOPSignalConnectionList &gt;</type>
      <name>connections</name>
      <anchorfile>classDCOPSignals.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DCOPStub</name>
    <filename>classDCOPStub.html</filename>
    <member kind="enumeration">
      <name>Status</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;app, const QCString &amp;obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(DCOPClient *client, const QCString &amp;app, const QCString &amp;obj)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const DCOPRef &amp;ref)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>app</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>obj</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Status</type>
      <name>status</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ok</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="enumeration">
      <name>never_use_t</name>
      <anchor>x1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setStatus</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(Status _status)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>callFailed</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>DCOPClient *</type>
      <name>dcopClient</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>DCOPStub</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(never_use_t)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>virtual_hook</name>
      <anchorfile>classDCOPStub.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(int id, void *data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>DefaultTest</name>
    <filename>classDefaultTest.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>void</type>
      <name>noArgsTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>argsTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(QString filename, QString url)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>unNamedArgsTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>constTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(QString, QString) const </arglist>
    </member>
    <member kind="dcop">
      <type>QStringList</type>
      <name>writeTypeTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(const QString &amp;, QPtrList&lt; int &gt;)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>voidReturnType</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
    <member kind="dcop">
      <type>QString</type>
      <name>nonVoidReturnType</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>intReturnType</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z7</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="dcop">
      <type>bool</type>
      <name>boolReturnType</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z8</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="dcop">
      <type>ASYNC</type>
      <name>asyncTest</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>z9</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>nonDcopFunction</name>
      <anchorfile>classDefaultTest.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HashingTest</name>
    <filename>classHashingTest.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function2</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>(QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function3</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>(QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function4</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>(QString, QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function5</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>(QString, QString, QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function6</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(QString, QString, QString, QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function7</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>(QString, QString, QString, QString, QString, QString, QString)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>function8</name>
      <anchorfile>classHashingTest.html</anchorfile>
      <anchor>z7</anchor>
      <arglist>(QString, QString, QString, QString, QString, QString, QString, QString)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MyDCOPObject</name>
    <filename>classMyDCOPObject.html</filename>
    <base>QObject</base>
    <base>DCOPObject</base>
    <base>QObject</base>
    <base>DCOPObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout2</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>registered</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>(const QCString &amp;appName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>unregistered</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>i4</anchor>
      <arglist>(const QCString &amp;appName)</arglist>
    </member>
    <member kind="slot">
      <type>QCStringList</type>
      <name>functions</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>i5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MyDCOPObject</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;name, const QCString &amp;remoteName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>process</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MyDCOPObject</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QCString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>process</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>function</name>
      <anchorfile>classMyDCOPObject.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;arg1, int arg2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NoFunctions</name>
    <filename>classNoFunctions.html</filename>
    <base>DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>NonDCOPObject</name>
      <anchorfile>classNoFunctions.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>nonDcopFunction</name>
      <anchorfile>classNoFunctions.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NonDCOPObject</name>
    <filename>classNonDCOPObject.html</filename>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classNonDCOPObject.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NonHashingTest</name>
    <filename>classNonHashingTest.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classNonHashingTest.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(QString)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>NoSuper</name>
    <filename>classNoSuper.html</filename>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classNoSuper.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>SignalTest</name>
    <filename>classSignalTest.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <member kind="function">
      <type></type>
      <name>SignalTest</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QCString objId=&quot;KBookmarkNotifier&quot;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>signal2</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QString filename, QString text, QString address)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>signal3</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(QString filename, QString url)</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString</type>
      <name>url</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString QString</type>
      <name>text</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString QString QString</type>
      <name>address</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals QString QString QString QString</type>
      <name>icon</name>
      <anchorfile>classSignalTest.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Test</name>
    <filename>classTest.html</filename>
    <base virtualness="virtual">DCOPObject</base>
    <base>QValueList&lt; QString &gt;</base>
    <member kind="enumeration">
      <name>NamedEnum</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>url</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual QString</type>
      <name>constTest</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>firstView</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>nextView</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumObjects</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>getObject</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>(int num)</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual int</type>
      <name>getNumPages</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual DCOPRef</type>
      <name>getPage</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z7</anchor>
      <arglist>(int num)</arglist>
    </member>
    <member kind="dcop">
      <type>int</type>
      <name>getPageOfObj</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z8</anchor>
      <arglist>(int obj)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setCell</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z9</anchor>
      <arglist>(const int &amp;point=3)</arglist>
    </member>
    <member kind="dcop">
      <type>QValueList&lt; DCOPRef &gt;</type>
      <name>getWindows</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>z10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Test</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>getPageOfObj</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(int obj)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCell</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KSpreadTable *table, const QPoint &amp;point)</arglist>
    </member>
    <member kind="variable">
      <type>SomeForwardFooPrivate *</type>
      <name>d</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const int</type>
      <name>AUDIO_CD</name>
      <anchorfile>classTest.html</anchorfile>
      <anchor>s0</anchor>
      <arglist></arglist>
    </member>
    <class kind="struct">Test::Bar</class>
  </compound>
  <compound kind="struct">
    <name>Test::Bar</name>
    <filename>structTest_1_1Bar.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>i</name>
      <anchorfile>structTest_1_1Bar.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Test2</name>
    <filename>classTest2.html</filename>
    <base>DCOPObject</base>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classTest2.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TestObject</name>
    <filename>classTestObject.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotTimeout</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCallBack</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(int, const QCString &amp;, const QByteArray &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>TestObject</name>
      <anchorfile>classTestObject.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;app)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>dcopc</name>
    <title>C interface to DCOP</title>
    <filename>group__dcopc.html</filename>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_attach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga0</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>char *</type>
      <name>dcop_register</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga1</anchor>
      <arglist>(const char *app_name, Bool add_pid)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_detach</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga2</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_register_callback</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga3</anchor>
      <arglist>(const char *object_id, dcop_callback_t callback)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_send_signal</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga4</anchor>
      <arglist>(const char *receiving_app, const char *object, const char *function, char *data, int data_length)</arglist>
    </member>
    <member kind="function">
      <type>Bool</type>
      <name>dcop_call</name>
      <anchorfile>group__dcopc.html</anchorfile>
      <anchor>ga5</anchor>
      <arglist>(const char *app_name, const char *remote_app_name, const char *remote_object_id, const char *remote_function, const char *data, int data_length, char **reply_type, char **reply_data, int *reply_data_length)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>client/</name>
    <path>/home/qateam/build/20060/661Zne/BUILD/kdelibs-3.4.2/dcop/client/</path>
    <filename>dir_000000.html</filename>
    <file>dcop.cpp</file>
    <file>dcopfind.cpp</file>
    <file>dcopquit.cpp</file>
    <file>dcopstart.cpp</file>
    <file>marshall.cpp</file>
  </compound>
  <compound kind="dir">
    <name>dcopidl/</name>
    <path>/home/qateam/build/20060/661Zne/BUILD/kdelibs-3.4.2/dcop/dcopidl/</path>
    <filename>dir_000001.html</filename>
    <file>dcopidl.all_cc.cc</file>
    <file>dcopidl_test.h</file>
    <file>main.cpp</file>
    <file>scanner.cc</file>
    <file>yacc.cc</file>
    <file>yacc.cc.h</file>
  </compound>
  <compound kind="dir">
    <name>dcopidl2cpp/</name>
    <path>/home/qateam/build/20060/661Zne/BUILD/kdelibs-3.4.2/dcop/dcopidl2cpp/</path>
    <filename>dir_000002.html</filename>
    <file>cpp/dcopidl_test.h</file>
    <file>cpp/main.cpp</file>
    <file>main.h</file>
    <file>skel.cpp</file>
    <file>stub.cpp</file>
    <file>stubimpl.cpp</file>
    <file>type.h</file>
  </compound>
  <compound kind="namespace">
    <name>KMail</name>
    <filename>namespaceKMail.html</filename>
  </compound>
  <compound kind="namespace">
    <name>Kpgp</name>
    <filename>namespaceKpgp.html</filename>
  </compound>
  <compound kind="namespace">
    <name>TestNamespace</name>
    <filename>namespaceTestNamespace.html</filename>
    <class kind="class">TestNamespace::NamespaceTest</class>
  </compound>
  <compound kind="class">
    <name>TestNamespace::NamespaceTest</name>
    <filename>classTestNamespace_1_1NamespaceTest.html</filename>
    <member kind="dcop">
      <type>void</type>
      <name>function1</name>
      <anchorfile>classTestNamespace_1_1NamespaceTest.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(QString filename, QString url, QString text, QString address, QString icon)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>TheNameSpace</name>
    <filename>namespaceTheNameSpace.html</filename>
    <class kind="class">TheNameSpace::Test3</class>
  </compound>
  <compound kind="class">
    <name>TheNameSpace::Test3</name>
    <filename>classTheNameSpace_1_1Test3.html</filename>
    <base>DCOPObject</base>
    <member kind="function">
      <type>void</type>
      <name>yadda</name>
      <anchorfile>classTheNameSpace_1_1Test3.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
