<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>GhnsWidget</name>
    <filename>classGhnsWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>downloadWallpapers</name>
      <anchorfile>classGhnsWidget.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>GhnsWidget</name>
      <anchorfile>classGhnsWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~GhnsWidget</name>
      <anchorfile>classGhnsWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KeyStruct</name>
    <filename>structKeyStruct.html</filename>
    <member kind="variable">
      <type>QString</type>
      <name>id</name>
      <anchorfile>structKeyStruct.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>name</name>
      <anchorfile>structKeyStruct.html</anchorfile>
      <anchor>o1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>mail</name>
      <anchorfile>structKeyStruct.html</anchorfile>
      <anchor>o2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>trusted</name>
      <anchorfile>structKeyStruct.html</anchorfile>
      <anchor>o3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>secret</name>
      <anchorfile>structKeyStruct.html</anchorfile>
      <anchor>o4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNewStuff</name>
    <filename>classKNewStuff.html</filename>
    <member kind="function">
      <type></type>
      <name>KNewStuff</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNewStuff</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;type, const QString &amp;providerList, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KNewStuff</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;fileName, const QString previewName)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>install</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>createUploadFile</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;fileName)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>downloadDestination</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(KNS::Entry *entry)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KNS::Engine *</type>
      <name>engine</name>
      <anchorfile>classKNewStuff.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNewStuffGeneric</name>
    <filename>classKNewStuffGeneric.html</filename>
    <base>KNewStuff</base>
    <member kind="function">
      <type></type>
      <name>KNewStuffGeneric</name>
      <anchorfile>classKNewStuffGeneric.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNewStuffGeneric</name>
      <anchorfile>classKNewStuffGeneric.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>install</name>
      <anchorfile>classKNewStuffGeneric.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createUploadFile</name>
      <anchorfile>classKNewStuffGeneric.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>downloadDestination</name>
      <anchorfile>classKNewStuffGeneric.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(KNS::Entry *entry)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNewStuffSecure</name>
    <filename>classKNewStuffSecure.html</filename>
    <base>QObject</base>
    <base>KNewStuff</base>
    <member kind="signal">
      <type>void</type>
      <name>installFinished</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNewStuffSecure</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;type, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KNewStuffSecure</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>install</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createUploadFile</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>downloadResource</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>uploadResource</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>installResource</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>removeTempDirectory</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KTempDir *</type>
      <name>m_tempDir</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_tarName</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_signedFileName</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QMap&lt; QString, QString &gt;</type>
      <name>m_installedResources</name>
      <anchorfile>classKNewStuffSecure.html</anchorfile>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MyWidget</name>
    <filename>classMyWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classMyWidget.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>download</name>
      <anchorfile>classMyWidget.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>MyWidget</name>
      <anchorfile>classMyWidget.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MyWidget</name>
      <anchorfile>classMyWidget.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TestNewStuff</name>
    <filename>classTestNewStuff.html</filename>
    <base>KNewStuff</base>
    <member kind="function">
      <type></type>
      <name>TestNewStuff</name>
      <anchorfile>classTestNewStuff.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>install</name>
      <anchorfile>classTestNewStuff.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>createUploadFile</name>
      <anchorfile>classTestNewStuff.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KIO</name>
    <filename>namespaceKIO.html</filename>
  </compound>
  <compound kind="namespace">
    <name>KNS</name>
    <filename>namespaceKNS.html</filename>
    <class kind="class">KNS::DownloadDialog</class>
    <class kind="class">KNS::Engine</class>
    <class kind="class">KNS::Entry</class>
    <class kind="class">KNS::Button</class>
    <class kind="class">KNS::Provider</class>
    <class kind="class">KNS::ProviderLoader</class>
    <class kind="class">KNS::ProviderDialog</class>
    <class kind="class">KNS::Security</class>
    <class kind="class">KNS::UploadDialog</class>
    <member kind="function">
      <type>KAction *</type>
      <name>standardAction</name>
      <anchorfile>namespaceKNS.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;what, const QObject *recvr, const char *slot, KActionCollection *parent, const char *name)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::DownloadDialog</name>
    <filename>classKNS_1_1DownloadDialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>slotProviders</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(Provider::List *list)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Engine *engine, QWidget *parent, const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent, const QString &amp;caption)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(QString type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProviderList</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;providerList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(QString providerList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProvider</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(Provider *p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addEntry</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(Engine *engine, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DownloadDialog</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>open</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;type, const QString &amp;caption)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>open</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(QString type)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKNS_1_1DownloadDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Engine</name>
    <filename>classKNS_1_1Engine.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>uploadFinished</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool result)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Engine</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KNewStuff *newStuff, const QString &amp;type, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Engine</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KNewStuff *newStuff, const QString &amp;type, const QString &amp;providerList, QWidget *parentWidget=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Engine</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;fileName=QString::null, const QString &amp;previewName=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>download</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestMetaInformation</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(Provider *provider)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>upload</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(Entry *entry)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>ignoreInstallResult</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(bool ignore)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>getMetaInformation</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(Provider::List *providers)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>selectUploadProvider</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(Provider::List *providers)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewStuffJobData</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>(KIO::Job *job, const QByteArray &amp;data)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotNewStuffJobResult</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDownloadJobResult</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadPayloadJobResult</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>j5</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadPreviewJobResult</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>j6</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUploadMetaJobResult</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>j7</anchor>
      <arglist>(KIO::Job *job)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>createMetaFile</name>
      <anchorfile>classKNS_1_1Engine.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(Entry *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Entry</name>
    <filename>classKNS_1_1Entry.html</filename>
    <member kind="function">
      <type></type>
      <name>Entry</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Entry</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Entry</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>type</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAuthor</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>author</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLicence</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>license</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSummary</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(const QString &amp;, const QString &amp;lang=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>summary</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;lang=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVersion</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>version</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRelease</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>release</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReleaseDate</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>(const QDate &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDate</type>
      <name>releaseDate</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPayload</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>(const KURL &amp;, const QString &amp;lang=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>payload</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>(const QString &amp;lang=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreview</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>(const KURL &amp;, const QString &amp;lang=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>preview</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;lang=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setRating</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rating</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDownloads</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>downloads</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fullName</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>langs</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>parseDomElement</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a29</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QDomElement</type>
      <name>createDomElement</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>a30</anchor>
      <arglist>(QDomDocument &amp;, QDomElement &amp;parent)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDomElement</type>
      <name>addElement</name>
      <anchorfile>classKNS_1_1Entry.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QDomDocument &amp;doc, QDomElement &amp;parent, const QString &amp;tag, const QString &amp;value)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Button</name>
    <filename>classKNS_1_1Button.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>aboutToShowDialog</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogFinished</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Button</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;what, const QString &amp;providerList, const QString &amp;resourceType, QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Button</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent, const char *name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setProviderList</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;providerList)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setResourceType</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;resourceType)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setButtonText</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;what)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showDialog</name>
      <anchorfile>classKNS_1_1Button.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Provider</name>
    <filename>classKNS_1_1Provider.html</filename>
    <member kind="typedef">
      <type>QPtrList&lt; Provider &gt;</type>
      <name>List</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Provider</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Provider</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Provider</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>name</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDownloadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>downloadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUploadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>uploadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoUploadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>noUploadUrl</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNoUpload</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>noUpload</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const KURL &amp;)</arglist>
    </member>
    <member kind="function">
      <type>KURL</type>
      <name>icon</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>parseDomElement</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QDomElement &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QDomElement</type>
      <name>createDomElement</name>
      <anchorfile>classKNS_1_1Provider.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(QDomDocument &amp;, QDomElement &amp;parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::ProviderLoader</name>
    <filename>classKNS_1_1ProviderLoader.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>providersLoaded</name>
      <anchorfile>classKNS_1_1ProviderLoader.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(Provider::List *)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ProviderLoader</name>
      <anchorfile>classKNS_1_1ProviderLoader.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parentWidget)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKNS_1_1ProviderLoader.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;type, const QString &amp;providerList=QString::null)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotJobData</name>
      <anchorfile>classKNS_1_1ProviderLoader.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>(KIO::Job *, const QByteArray &amp;)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotJobResult</name>
      <anchorfile>classKNS_1_1ProviderLoader.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(KIO::Job *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::ProviderDialog</name>
    <filename>classKNS_1_1ProviderDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>ProviderDialog</name>
      <anchorfile>classKNS_1_1ProviderDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Engine *engine, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchorfile>classKNS_1_1ProviderDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addProvider</name>
      <anchorfile>classKNS_1_1ProviderDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(Provider *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKNS_1_1ProviderDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::Security</name>
    <filename>classKNS_1_1Security.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Results</name>
      <anchor>w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGNED_OK</name>
      <anchor>w7w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGNED_BAD</name>
      <anchor>w7w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>TRUSTED</name>
      <anchor>w7w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>UNKNOWN</name>
      <anchor>w7w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SIGNED_BAD_CLEAR</name>
      <anchor>w7w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>BAD_PASSPHRASE</name>
      <anchor>w7w6</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readKeys</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>readSecretKeys</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotCheckValidity</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotSignFile</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>validityResult</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(int result)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>fileSigned</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(int result)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Security</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkValidity</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>signFile</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;fileName)</arglist>
    </member>
    <member kind="function">
      <type>KeyStruct</type>
      <name>signatureKey</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Security *const</type>
      <name>ref</name>
      <anchorfile>classKNS_1_1Security.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNS::UploadDialog</name>
    <filename>classKNS_1_1UploadDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>UploadDialog</name>
      <anchorfile>classKNS_1_1UploadDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(Engine *engine, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~UploadDialog</name>
      <anchorfile>classKNS_1_1UploadDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPreviewFile</name>
      <anchorfile>classKNS_1_1UploadDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;previewFile)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKNS_1_1UploadDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
