<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>DCOP</name>
    <filename>classDCOP.html</filename>
  </compound>
  <compound kind="class">
    <name>KCModuleContainer</name>
    <filename>classKCModuleContainer.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name, const QStringList &amp;mods)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent, const char *name, const QString &amp;mods=QString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;module)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>QValueList&lt; KCModuleProxy * &gt;</type>
      <name>ModuleList</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>x0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finalize</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>changedModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>allModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleInfo</name>
    <filename>classKCModuleInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;desktopFile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KService::Ptr moduleInfo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCModuleInfo &amp;</type>
      <name>operator=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>keywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>factoryName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>moduleName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>docPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>library</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>handle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setKeywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QStringList &amp;keyword)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setComment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>(const QString &amp;comment)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(const QString &amp;icon)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLibrary</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(const QString &amp;lib)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHandle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(const QString &amp;handle)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setWeight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(int weight)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b7</anchor>
      <arglist>(bool val)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b8</anchor>
      <arglist>(bool needsRootPrivileges)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b9</anchor>
      <arglist>(bool isHiddenByDefault)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDocPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b10</anchor>
      <arglist>(const QString &amp;p)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadAll</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b11</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleLoader</name>
    <filename>classKCModuleLoader.html</filename>
    <member kind="enumeration">
      <name>ErrorReporting</name>
      <anchor>w4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchor>w4w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Inline</name>
      <anchor>w4w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Dialog</name>
      <anchor>w4w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Both</name>
      <anchor>w4w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const KCModuleInfo &amp;module, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;module, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const KCModuleInfo &amp;module, ErrorReporting report, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e3</anchor>
      <arglist>(const QString &amp;module, ErrorReporting report, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>unloadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e4</anchor>
      <arglist>(const KCModuleInfo &amp;mod)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>showLastLoaderError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e5</anchor>
      <arglist>(QWidget *parent) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e6</anchor>
      <arglist>(const QString &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e7</anchor>
      <arglist>(const KCModuleInfo &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>reportError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e8</anchor>
      <arglist>(ErrorReporting report, const QString &amp;text, QString details, QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxy</name>
    <filename>classKCModuleProxy.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>runAsRoot</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteClient</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(KCModuleProxy *mod)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>childClosed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const KCModuleInfo &amp;info, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;serviceName, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const KService::Ptr &amp;service, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useRootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KInstance *</type>
      <name>instance</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>rootMode</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KCModule *</type>
      <name>realModule</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const KCModuleInfo &amp;</type>
      <name>moduleInfo</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>dcopName</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(const KCModuleInfo &amp;info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitQuickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KCModuleProxyRootCommunicatorImpl</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyIface</name>
    <filename>classKCModuleProxyIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>applicationName</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>z2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>z3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>z4</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>z5</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>z6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyIfaceImpl</name>
    <filename>classKCModuleProxyIfaceImpl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KCModuleProxyIface</base>
    <member kind="slot">
      <type>void</type>
      <name>changedRelay</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(bool c)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>quickHelpRelay</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxyIfaceImpl</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;name, KCModuleProxy *const client)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>applicationName</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyRootCommunicatorImpl</name>
    <filename>classKCModuleProxyRootCommunicatorImpl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KCModuleProxyRootDispatcher</base>
    <member kind="function">
      <type></type>
      <name>KCModuleProxyRootCommunicatorImpl</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QCString &amp;name, KCModuleProxy *const client)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(bool c)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KCModuleProxy *</type>
      <name>p</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>o0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyRootDispatcher</name>
    <filename>classKCModuleProxyRootDispatcher.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyRootDispatcher.html</anchorfile>
      <anchor>z0</anchor>
      <arglist>(bool c)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyRootDispatcher.html</anchorfile>
      <anchor>z1</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMultiDialog</name>
    <filename>classKCMultiDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(int dialogFace, const QString &amp;caption, QWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(int dialogFace, const KGuiItem &amp;user2, const KGuiItem &amp;user3=KGuiItem(), int buttonMask=User2, const QString &amp;caption=i18n(&quot;Configure&quot;), QWidget *parent=0, const char *name=0, bool modal=false) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;module, bool withfallback=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const KCModuleInfo &amp;moduleinfo, QStringList parentmodulenames=QStringList(), bool withfallback=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAllModules</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotHelp</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFind</name>
    <filename>classKFind.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Result</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;text, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(int id, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>optionsChanged</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>l3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>l4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;pattern, long options, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;pattern, long options, QWidget *parent, QWidget *findDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int id, const QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOptions</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numMatches</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validateMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>(const QString &amp;text, int index, int matchedlength)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>findNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeFindNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const QString &amp;text, const QString &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QString &amp;text, const QRegExp &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFindNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>dialogsParent</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplace</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFindDialog</name>
    <filename>classKFindDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchor>w8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(bool modal, QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFindHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>findHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasSelection</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool hasSelection)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(bool hasCursor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsBackwardsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsCaseSensitiveFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsWholeWordsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsRegularExpressionFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>findExtension</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectedTextToggled</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPatterns</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPlaceholders</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>textSearchChanged</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>j4</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplaceDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBar</name>
    <filename>classKMultiTabBar.html</filename>
    <base>QWidget</base>
    <member kind="enumeration">
      <name>KMultiTabBarMode</name>
      <anchor>w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarPosition</name>
      <anchor>w12</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarStyle</name>
      <anchor>w13</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KMultiTabBarMode bm, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QPixmap &amp;pic, int id=-1, QPopupMenu *popup=0, const QString &amp;not_used_yet=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QPixmap &amp;pic, int id=-1, const QString &amp;text=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(int id, bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTabRaised</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarButton *</type>
      <name>button</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarTab *</type>
      <name>tab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>(KMultiTabBarPosition pos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>(KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KMultiTabBarTab &gt; *</type>
      <name>tabs</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KMultiTabBarButton &gt; *</type>
      <name>buttons</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabTexts</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>(bool show=true)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>fontChange</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(const QFont &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateSeparator</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarButton</name>
    <filename>classKMultiTabBarButton.html</filename>
    <base>QPushButton</base>
    <member kind="slot">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarStyle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>i2</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>i3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QPixmap &amp;pic, const QString &amp;, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>hideEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(class QHideEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>(class QShowEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarPosition</type>
      <name>m_position</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarStyle</type>
      <name>m_style</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_text</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarTab</name>
    <filename>classKMultiTabBarTab.html</filename>
    <base>KMultiTabBarButton</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QPixmap &amp;pic, const QString &amp;, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabText</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setTabsPosition</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>b0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>neededSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButton</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>b3</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButtonLabel</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>b4</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonStyled</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>b5</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonClassic</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>b6</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarInternal</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginInfo</name>
    <filename>classKPluginInfo.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; KPluginInfo * &gt;</type>
      <name>List</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;filename, const char *resource=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const KService::Ptr service)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHidden</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPluginEnabledByDefault</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>property</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>operator[]</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>name</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>comment</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>icon</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>specfile</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>author</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>email</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>category</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>pluginName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>version</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>website</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>license</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>dependencies</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; KService::Ptr &gt; &amp;</type>
      <name>kcmServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfig</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a23</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>config</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a24</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>configgroup</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a26</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a27</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>a28</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(const KService::List &amp;services, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromFiles</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(const QStringList &amp;files, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromKPartsInstanceName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>e2</anchor>
      <arglist>(const QString &amp;, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginSelector</name>
    <filename>classKPluginSelector.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>l1</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;instanceName, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const KInstance *instance, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugininfos, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyConfigPage</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KPluginSelectionWidget</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplace</name>
    <filename>classKReplace.html</filename>
    <base>KFind</base>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>(const QString &amp;text, int replacementIndex, int replacedLength, int matchedLength)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;pattern, const QString &amp;replacement, long options, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;pattern, const QString &amp;replacement, long options, QWidget *parent, QWidget *replaceDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numReplacements</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>replaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeReplaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a8</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>(QString &amp;text, const QString &amp;pattern, const QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>e1</anchor>
      <arglist>(QString &amp;text, const QRegExp &amp;pattern, const QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSkip</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplaceAll</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplaceDialog</name>
    <filename>classKReplaceDialog.html</filename>
    <base>KFindDialog</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), const QStringList &amp;replaceStrings=QStringList(), bool hasSelection=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>replacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replacement</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>replaceExtension</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Loads</name>
    <filename>classLoads.html</filename>
  </compound>
  <compound kind="dir">
    <name>ksettings/</name>
    <path>/home/qateam/build/20060/661Zne/BUILD/kdelibs-3.4.2/kutils/ksettings/</path>
    <filename>dir_000000.html</filename>
    <file>componentsdialog.cpp</file>
    <file>componentsdialog.h</file>
    <file>dialog.cpp</file>
    <file>dialog.h</file>
    <file>dispatcher.cpp</file>
    <file>dispatcher.h</file>
    <file>pluginpage.cpp</file>
    <file>pluginpage.h</file>
  </compound>
  <compound kind="namespace">
    <name>KSettings</name>
    <filename>namespaceKSettings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Dispatcher &gt;</type>
      <name>ksd_kpd</name>
      <anchorfile>namespaceKSettings.html</anchorfile>
      <anchor>a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::ComponentsDialog</name>
    <filename>classKSettings_1_1ComponentsDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfo</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(KPluginInfo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QMap&lt; QString, KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugins)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dialog</name>
    <filename>classKSettings_1_1Dialog.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>ContentInListView</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Static</name>
      <anchor>w2w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Configurable</name>
      <anchor>w2w1</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pluginSelectionChanged</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(ContentInListView content=Static, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>(const QStringList &amp;components, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>(const QStringList &amp;components, ContentInListView content, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfos</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>KCMultiDialog *</type>
      <name>dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>configureTree</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTreeList</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PageNode</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dispatcher</name>
    <filename>classKSettings_1_1Dispatcher.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>i0</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>syncConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerInstance</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(KInstance *instance, QObject *recv, const char *slot)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>configForInstanceName</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type>QStrList</type>
      <name>instanceNames</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Dispatcher *</type>
      <name>self</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KStaticDeleter&lt; Dispatcher &gt;</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::PluginPage</name>
    <filename>classKSettings_1_1PluginPage.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a1</anchor>
      <arglist>(KInstance *instance, QWidget *parent=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPluginSelector *</type>
      <name>pluginSelector</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
